---
- name: Remove default Redhat localhost line
  ansible.builtin.lineinfile:
    path: /etc/hosts
    regexp: "^::1         localhost localhost.localdomain localhost6 localhost6.localdomain6"
    state: absent

- name: Remove default Debian localhost line
  ansible.builtin.lineinfile:
    path: /etc/hosts
    regexp: "^::1     localhost ip6-localhost ip6-loopback"
    state: absent

- name: Add combined localhost line
  ansible.builtin.lineinfile:
    path: /etc/hosts
    line: "::1 localhost localhost.localdomain localhost6 localhost6.localdomain6 ip6-localhost ip6-loopback"
    state: present

- name: Add ip6-allnodes entries
  ansible.builtin.lineinfile:
    path: /etc/hosts
    line: "ff02::1 ip6-allnodes"
    state: present

- name: Add ip6-allrouters entries
  ansible.builtin.lineinfile:
    path: /etc/hosts
    line: "ff02::2 ip6-allrouters"
    state: present
